MONGOC_URI_SET_OPTION_AS_INT32(3)

NAME
mongoc_uri_set_option_as_int32 - mongoc_uri_set_option_as_int32()

SYNOPSIS

bool
mongoc_uri_set_option_as_int32 (const mongoc_uri_t *uri,
                                const char *option,
                                int32 value);

PARAMETERS

•   uri: A mongoc_uri_t.

•   option: The name of an option, case insensitive.

•   value: The new value.

DESCRIPTION

Sets an individual URI option, after the URI has been parsed from a string.

Only known options of type int32 can be set. Some int32 options, such as minHeartbeatFrequencyMS, have additional constraints.

Updates the option in-place if already set, otherwise appends it to the URI's bson_t of options.

RETURNS

True if successfully set (the named option is a known option of type int32).

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc